body {
  margin: 0;
  padding: 0;
  overflow: hidden;
  box-sizing: border-box;
  font-family: "font1", sans-serif;
  font-size: 1.5rem;
  background-color: black;
}

#bg {
  object-fit: cover;
  height: 100%;
  width: 100vw;
  background-color: rgb(218, 123, 13);
  z-index: -1;
}

#container {
  display: flex;
  flex-direction: column;
  align-items: center;
  height: fit-content;
  margin: 10% auto;
  text-align: center;
  justify-content: space-evenly;
}

#logo {
  width: 40%;
  max-width: 900px;
  padding: 1em 0 1em 0;
}

video {
  position: fixed;
  top: 0;
  left: 0;
  min-width: 100%;
}

#buttons {
  display: inline-block;
  text-align: center;
  width: 30%;
  margin-left: 1%;
  margin-top: 2%;
}

#buttons a {
  display: block;
  margin: 1rem 0;
  padding: 1rem 1rem;
  color: white;
  text-decoration: none;
  font-weight: bold;
  transition: 0.15s;
  text-wrap: balance;
}

#buttons a:hover {
  text-shadow:
    -1px -1px 0 #999,
    -1px -1px 0 #999,
    1px 1px 0 #999,
    1px 1px 0 #999,
    0px 0px 5px #999;
  transform: scale(1.1);
}

#icons {
  display: flex;
  justify-content: center;
  margin-top: 2%;
  gap: 1.7rem;
  filter: invert();
  margin-left: 1%;
}

#merch {
}

.icon:hover {
  transform: scale(1.2);
  transition: 0.1s;
}

#ig:hover {
  filter: drop-shadow(1px 1px 15px #53e968) drop-shadow(1px 1px 10px #29d640);
}

#yt:hover {
  filter: drop-shadow(1px 1px 15px #4becf1) drop-shadow(1px 1px 10px #33e3e9);
}

#dc:hover {
  filter: drop-shadow(1px 1px 15px #63a14b) drop-shadow(1px 1px 10px #728969);
}

#sp:hover {
  filter: drop-shadow(1px 1px 15px #f547dd) drop-shadow(1px 1px 10px #fc30e1);
}

#am:hover {
  filter: drop-shadow(1px 1px 15px #52fbe2) drop-shadow(1px 1px 10px #6afbe6);
}

#tt:hover {
  filter: drop-shadow(1px 1px 15px #fe3e42) drop-shadow(1px 1px 10px #fa2f32);
}

@media (max-width: 800px) {
  body {
    overflow: auto;
    margin: 0;
    padding: 0;
  }
  #container {
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 100vh;
    text-align: center;
    justify-content: space-evenly;
  }

  #buttons {
    display: inline-block;
    text-align: center;
  }

  #buttons a {
    display: block;
    padding: 1rem 1rem;
    color: white;
    text-decoration: none;
    font-weight: bold;
    transition: 0.15s;
    font-size: larger;
  }

  #logo {
    width: 90%;
    padding: 5% 0 1em 0;
  }

  #icons {
    gap: 0.5rem;
  }
}

@media (max-height: 400px) {
  body {
    overflow: auto;
  }
  #container {
    display: flex;
    flex-direction: column;
    place-items: center;
    height: 100vh;
    padding: 1em;
    margin: 0;
    justify-content: space-evenly;
  }

  #buttons {
    display: inline-block;
    text-align: center;
  }

  #buttons a {
    display: block;
    padding: 1.2rem 1rem;
    color: white;
    text-decoration: none;
    font-weight: bold;
    transition: 0.15s;
    font-size: larger;
  }

  #logo {
    width: 90%;
    padding: 1em 0 1em 0;
  }

  #icons {
    margin-top: 0;
    gap: 1rem;
  }
}
